Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# gdk/image.hh File Reference

A GdkImage C++ wrapper interface. More...

`#include <xfc/gdk/types.hh>`
`#include <xfc/glib/object.hh>`
`#include <xfc/gdk/inline/image.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::Gdk

## Classes

- class Xfc::Gdk::Image
    A GdkImage C++ wrapper class. More...

## Enumerations

- enum ImageType {
  IMAGE_NORMAL = GDK_IMAGE_NORMAL,
  IMAGE_SHARED = GDK_IMAGE_SHARED,
  IMAGE_FASTEST = GDK_IMAGE_FASTEST
  }
    Specifies the type of a Gdk::Image. More...

## Detailed Description

A GdkImage C++ wrapper interface.

Provides Image, an object that represents an area for drawing bit-mapped graphics.

## Enumeration Type Documentation

enum ImageType

Specifies the type of a Gdk::Image.

Enumeration values:

  IMAGE_NORMAL | The original X image type, which is quite slow since the image has to be transferred from the client to the server to display it.
  IMAGE_SHARED | A faster image type, which uses shared memory to transfer the image data between client and server; However this will only be available if client and server are on the same machine and the shared memory extension is supported by the server.
  IMAGE_FASTEST | Specifies that IMAGE_SHARED should be tried first, and if that fails then IMAGE_NORMAL will be used.

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3